> For the complete documentation index, see [llms.txt](https://docs.developers.symphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.symphony.com/embedded-modules/embedded-mode/blast.md).

# Blast

{% hint style="info" %}
Released in version C2 26.6 (June 2026)
{% endhint %}

### Open blast module

The `openBlast` function exposed by the SDK allows you to open a module to blast messages to one or several users, or distribution lists.

### Get Distribution Lists

The `getDistributionLists` function allows you to retrieve the distribution lists of the current user.

#### Response format

<table><thead><tr><th width="168.4465408805031">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>Object array (id:string, name:string)</td><td>id: distribution list Id<br>name: distribution list name</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.developers.symphony.com/embedded-modules/embedded-mode/blast.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
